Subject: bug#18014: 24.3; Unused Lexical argument warning, when argument is used in a function...

From: Matthew Fidler <[email-masked]>
Date: Mon, 14 Jul 2014 11:01:12 -0500

You probably downloaded the version with lexical binding disabled.

Sorry, I should have linked to the version with lexical binding enabled.
On Jul 14, 2014 10:47 AM, "Matthew Fidler" <[email-masked]> wrote:

> Also 24.3 does not exit when the warning occurs (which is another bug,
> actually)
>
>
> On Mon, Jul 14, 2014 at 10:46 AM, Matthew Fidler <[email-masked]
> > wrote:
>
>> Yes.  I can reproduce with a fresh emacs.  My build script uses a fresh
>> emacs but calls it by :
>>
>> ~src/ergoemacs-mode $ make
>> emacs -Q --batch -L . --eval             \
>>      "(progn                                \
>>        (setq byte-compile-error-on-warn t)  \
>>        (batch-byte-compile))" *.el
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-advices.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-extras.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-functions.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-layouts.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-macros.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-menus.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-modal.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-mode.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-shortcuts.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-test.elc
>> Wrote
>> e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-theme-engine.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-themes.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-track.elc
>> In toplevel form:
>>
>> ergoemacs-translate.el:695:1:Warning: Unused lexical argument `key'
>>  Wrote
>> e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-translate.elc
>> Wrote e:/EmacsPortable.App/Data/src/ergoemacs-mode/ergoemacs-unbind.elc
>> ~src/ergoemacs-mode $
>>
>> It also errors on 24.3:
>>
>> https://travis-ci.org/ergoemacs/ergoemacs-mode/jobs/29898482
>>
>>
>> And  also errors on the 24.4 trunk (in ubuntu, I believe):
>>
>> https://travis-ci.org/ergoemacs/ergoemacs-mode/jobs/29898483
>>
>>
>>
>>
>> On Mon, Jul 14, 2014 at 10:30 AM, Eli Zaretskii <[email-masked]> wrote:
>>
>>> > Date: Mon, 14 Jul 2014 09:57:38 -0500
>>> > From: Matthew Fidler <[email-masked]>
>>> >
>>> > Its the beginning of the function in the bug report.
>>> >
>>> >
>>> https://github.com/ergoemacs/ergoemacs-mode/blob/7a30c03b59eab2b720c16f6cd8099c499fec1cc2/ergoemacs-translate.el#L695
>>>
>>> Then I cannot reproduce this, neither with Emacs 24.3 nor with the
>>> latest pretest 24.3.92.  I downloaded ergoemacs-translate.el and
>>> ergoemacs-macros.el from that repository, and I get a clean compile.
>>>
>>> Did you try this in a fresh Emacs, e.g. "emacs -batch -f
>>> batch-byte-compile"?
>>>
>>
>>
>